[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# EAbort

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Abort error.

## Declaration

Source position: sysutilh.inc line 181

`type EAbort = class(Exception) ;`

## Inheritance

`EAbort` |  | Abort error.
`Exception` |  | Base class of all exceptions.
`TObject` |  | Base class of all classes.

## Description

Abort is raised by the Abort procedure. It is not displayed in GUI applications, and serves only to immediatly abort the current procedure, and return control to the main program loop.

## See also

Abort |  | Abort program execution.

Documentation generated on: Feb 26 2014